> For the complete documentation index, see [llms.txt](https://docs.mikopbx.com/mikopbx-development/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mikopbx.com/mikopbx-development/module-developement/debuging/debug-php-agi.md).

# Debug PHP-AGI

To debug a PHP AGI script, you need:

* Get the IP address of the PC from which debugging will be performed - e.g. **192.168.1.65**
* Set environment variables: `export XDEBUG_CONFIG="remote_port=9000 remote_host=`**`192.168.1.65`**` `` ``remote_enable=1 remote_mode=req remote_autostart=0 remote_connect_back=0"; `
* Restart the asterisk process

Full example:

```
killall safe_asterisk; 
killall asterisk; 
export XDEBUG_CONFIG="remote_port=9000 remote_host=192.168.1.65  remote_enable=1 remote_mode=req remote_autostart=0 remote_connect_back=0";
nohup safe_asterisk -f > /dev/null 2>&1 &
```

In MikoPBX, it is enough to run the command:

```
xdebug-enable-agi 192.168.1.65
```

Be careful! Debugging the AGI can disrupt the operation of the PBX


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mikopbx.com/mikopbx-development/module-developement/debuging/debug-php-agi.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
